Subject: [clisp-list] Fwd: Re: Debugging crash on m68k

From: Will Newton <[email-masked]>
Date: Fri Apr 5 06:20:12 2002

clisp has been failing to build on m68k for Debian. A build log is here:

http://buildd.debian.org/fetch.php?&pkg=clisp&ver=1%3A2.27-0.5&arch=m68k&stamp=1013020383&file=log&as=raw

Erik is a Debian user who has been helping me figure out what is going on.  
Can anyone who has more familiarity look at his coments esp. the desire to 
disable garbage collection? I have poked the source but not seen any easy way 
to do this.

Thanks

----------  Forwarded Message  ----------

Subject: Re: Debugging crash on m68k
Date: Thu, 4 Apr 2002 22:36:31 -0800
From: Erik van Roode <[email-masked]>
To: Will Newton <[email-masked]>

On Wed, Apr 03, 2002 at 02:36:03PM +0100, Will Newton wrote:
> On Wednesday 03 Apr 2002 5:44 am, you wrote:
> > #0  0x80003a0c in gc_mark ()
> > #1  0x801eb754 in object_tab ()
> > #2  0x80004ba0 in do_gar_col_simple ()
> > #3  0x80004bbe in gar_col_simple ()
> > #4  0x8005dfd4 in write_errorstring ()
> > #5  0x8001080e in funcall_subr ()
> > #6  0xc007ec00 in __libc_start_main () from /lib/libc.so.6
>
> Thanks, this is a great start.

Added some printf, first call to gar_col_simple succeeds, crash
is during second crash. Looks like the first garbage collect
messes up something.

Program received signal SIGSEGV, Segmentation fault.
gc_mark (obj=0x80064670) at spvw_garcol.d:262
262                       switch (Record_type(dies))

played around with gdb, and obj=0x01 NULL pointer with some
flags. I'm assuming clisp encodes some stuff in lower two bits
of pointers.

If it is the garbage collector, a run without any gc's should work. The
the -m option doesn't seem to cause clisp to start with a bigger heap,
and I don't see a 'disable gc' option. Any suggestions?

Erik

-------------------------------------------------------